Skip to main content

Acronis Backup Virtuelle VMware ESXi-Maschine hinzufügen

Thread needs solution
Beginner
Posts: 1
Comments: 1

Guten Tag,

Ein Kunde von uns hat einen komplett Viren verseuchten Virtueleln Windows Server 2016.

Daher wollen wir von einem Client Computer (Domäne), welche auch Administrator Rechte hat, die komplette Masachine zurücksichern.

 

Verwendet wird Acronis Backup 12.5 und ESXi 6.0.0.

Wenn wir eine Virtuelle VMware ESXi-Maschine hinzufügen wollen, kommt bei Schritt 3 (Den Agenten für VMware registrieren) folgende Fehlermeldung:

Connection error: POST http://10.23.0.202:43234/api/mms/registration HTTPConnectionPool(host='10.23.0.202', port=43234): Max retries exceeded with url: /api/mms/registration (Caused by NewConnectionError(': Failed to establish a new connection: [WinError 10061] Es konnte keine Verbindung hergestellt werden, da der Zielcomputer die Verbindung verweigerte',))
Internal server error.
Fehlercode 100011

 

Wenn man auf "Mehr Details" klickt, dann erscheint folgendes:

Internal server error.
Datum und Zeit
28. Januar 2019, 11:09:12
Code
100011
Nachricht
Connection error: POST http://10.23.0.202:43234/api/mms/registration HTTPConnectionPool(host='10.23.0.202', port=43234): Max retries exceeded with url: /api/mms/registration (Caused by NewConnectionError('<requests.packages.urllib3.connection.HTTPConnection object at 0x000002BFA7341668>: Failed to establish a new connection: [WinError 10061] Es konnte keine Verbindung hergestellt werden, da der Zielcomputer die Verbindung verweigerte',))
 
Traceback (most recent call last):
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connection.py", line 138, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\util\connection.py", line 98, in create_connection
    raise err
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\util\connection.py", line 88, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [WinError 10061] Es konnte keine Verbindung hergestellt werden, da der Zielcomputer die Verbindung verweigerte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connectionpool.py", line 594, in urlopen
    chunked=chunked)
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connectionpool.py", line 361, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "C:\Program Files\Acronis\PyShell\stdlib.zip\http\client.py", line 1107, in request
    self._send_request(method, url, body, headers)
  File "C:\Program Files\Acronis\PyShell\stdlib.zip\http\client.py", line 1152, in _send_request
    self.endheaders(body)
  File "C:\Program Files\Acronis\PyShell\stdlib.zip\http\client.py", line 1103, in endheaders
    self._send_output(message_body)
  File "C:\Program Files\Acronis\PyShell\stdlib.zip\http\client.py", line 934, in _send_output
    self.send(msg)
  File "C:\Program Files\Acronis\PyShell\stdlib.zip\http\client.py", line 877, in send
    self.connect()
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connection.py", line 163, in connect
    conn = self._new_conn()
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connection.py", line 147, in _new_conn
    self, "Failed to establish a new connection: %s" % e)
requests.packages.urllib3.exceptions.NewConnectionError: : Failed to establish a new connection: [WinError 10061] Es konnte keine Verbindung hergestellt werden, da der Zielcomputer die Verbindung verweigerte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\requests\adapters.py", line 399, in send
    timeout=timeout
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connectionpool.py", line 671, in urlopen
    release_conn=release_conn, **response_kw)
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connectionpool.py", line 671, in urlopen
    release_conn=release_conn, **response_kw)
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connectionpool.py", line 671, in urlopen
    release_conn=release_conn, **response_kw)
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connectionpool.py", line 671, in urlopen
    release_conn=release_conn, **response_kw)
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connectionpool.py", line 671, in urlopen
    release_conn=release_conn, **response_kw)
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\connectionpool.py", line 643, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\urllib3\util\retry.py", line 363, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
requests.packages.urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='10.23.0.202', port=43234): Max retries exceeded with url: /api/mms/registration (Caused by NewConnectionError(': Failed to establish a new connection: [WinError 10061] Es konnte keine Verbindung hergestellt werden, da der Zielcomputer die Verbindung verweigerte',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\Acronis\WebServer\wcs\web\proxy.py", line 49, in make_request
    timeout=DEFAULT_REQUEST_TIMEOUT)
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\requests\sessions.py", line 602, in send
    r = adapter.send(request, **kwargs)
  File "c:\program files\acronis\pyshell\site-packages\requests.zip\requests\adapters.py", line 463, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='10.23.0.202', port=43234): Max retries exceeded with url: /api/mms/registration (Caused by NewConnectionError(': Failed to establish a new connection: [WinError 10061] Es konnte keine Verbindung hergestellt werden, da der Zielcomputer die Verbindung verweigerte',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\program files\acronis\pyshell\site-packages\flask.zip\flask\app.py", line 1486, in full_dispatch_request
    rv = self.dispatch_request()
  File "c:\program files\acronis\pyshell\site-packages\flask.zip\flask\app.py", line 1472, in dispatch_request
    return self.view_functions[rule.endpoint](**req.view_args)
  File "C:\Program Files\Acronis\WebServer\wcs\web\rest.py", line 95, in wrapper
    _response, _response_size = wcs_api_wrapper(func, authorize, session, *args, **kwargs)
  File "C:\Program Files\Acronis\WebServer\wcs\web\rest.py", line 172, in wcs_api_wrapper
    result = func(*args, **kwargs)
  File "C:\Program Files\Acronis\WebServer\wcs\model\descriptor\resource.py", line 206, in handle_request
    return handle(request, session, **kwargs)
  File "C:\Program Files\Acronis\WebServer\wcs\model\descriptor\handler.py", line 282, in __call__
    arg = self._arg_transform(session, **params)
  File "C:\Program Files\Acronis\WebServer\wcs\addons\vmb\vcenter.py", line 147, in _add_vcenter_arg
    reply = proxy.make_request(construct_registration_url(agent_address), method='POST', data=request, headers=headers)
  File "C:\Program Files\Acronis\WebServer\wcs\web\proxy.py", line 70, in make_request
    raise exceptions.raw_http_error(503, message)
wcs.web.exceptions.ApiException: null

 

Was können wir da tun?

 

MfG

0 Users found this helpful
Beginner
Posts: 1
Comments: 1

#1

Zusatz:

Firwall und Virenschutz ist deaktiviert.

Trozdem diese Fehlermeldung.

Forum Moderator
Posts: 118
Comments: 4550

#2

Guten Tag Herr Ulrich,

Einige Tipps:

1. Stellen Sie bitte sicher, dass die aktuellste Buildversion 11010 installiert wird (falls 11010 schon verwendet wird, würde ich den Agenten neu-installieren. Dabei schalten Sie temporär die Antivirussoftware aus).

2. Versuchen Sie den Agenten manuell  nach den Anleitungen aus https://kb.acronis.com/content/59828 zu registrieren.

3. Sollte das Problem weiterhin bestehen, gehen Sie den Anleitungen aus dem Artikel Acronis Backup 12.5: Troubleshooting "Internal Server Error" message nach. Dabei überprüfen Sie die Verbindung mit Telnet (Nutzung von Telnet für das Testen der offenen Ports). 

Sollten diese Schritte zu keinem Erfolg führen, öffnen Sie bitte eine Supportanfrage und teilen Sie uns die Ergenisse der Untersuchug mit. 

Vielen Dank,